com.google.zxing.qrcode.decoder

## Class FormatInformation

- java.lang.Object
- - com.google.zxing.qrcode.decoder.FormatInformation

-     final class FormatInformation
      extends Object

  Encapsulates a QR Code's format information, including the data mask used and error correction level.

  See Also:
    `ErrorCorrectionLevel`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static FormatInformation` | `decodeFormatInformation(int maskedFormatInfo1, int maskedFormatInfo2)`
    `boolean` | `equals(Object o)`
    `(package private) byte` | `getDataMask()`
    `(package private) ErrorCorrectionLevel` | `getErrorCorrectionLevel()`
    `int` | `hashCode()`
    `(package private) static int` | `numBitsDiffering(int a, int b)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### decodeFormatInformation

          static FormatInformation decodeFormatInformation(int maskedFormatInfo1,
                                                           int maskedFormatInfo2)

      Parameters:
        `maskedFormatInfo1` - format info indicator, with mask still applied
        `maskedFormatInfo2` - second copy of same info; both are checked at the same time to establish best match
      Returns:
        information about the format it specifies, or `null` if doesn't seem to match any known pattern

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### getDataMask

          byte getDataMask()

    - #### getErrorCorrectionLevel

          ErrorCorrectionLevel getErrorCorrectionLevel()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### numBitsDiffering

          static int numBitsDiffering(int a,
                                      int b)